Summary:        An interactive process viewer
Name:           htop
Version:        1.0.3
Release:        1%{?dist}%{?pext}
License:        GPLv2
Group:          Applications/System
Source0:        http://hisham.hm/%{name}/releases/%{version}/%{name}-%{version}.tar.gz
URL:            http://hisham.hm/%{name}/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Hisham Muhammad <loderunner@users.sourceforge.net>
BuildRequires:  desktop-file-utils ncurses-devel


%description
Htop is an interactive, ncurses-based text-mode console process viewer
for Linux.


%prep
%setup -q


%build
%configure \
	--enable-openvz          \
	--enable-cgroup          \
	--enable-ancient-vserver \
	--enable-taskstats       \
	--enable-unicode         \
	--enable-native-affinity

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

desktop-file-install --vendor="%{name}" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/%{name}
%config(noreplace) %{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jun 05 2014 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.3-1
- New version (1.0.3)

* Sat Mar 22 2014 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.2-1
- Initial build
